package com.hiyuyi.library.plugin;

import com.hiyuyi.library.base.external.BaseExternal;
import com.hiyuyi.library.base.utils.BaseUtils;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

public class DexRequest implements Serializable {
    private int productId;
    private int channelNo;
    private String userCode;
    private String accessToken;
    private String platform;
    private int timeStamp;
    private int innerVersion;
    private List<LiDataBean> liData;

    public DexRequest() {
        liData = new ArrayList<>();
        productId = BaseExternal.getProductId();
        channelNo = BaseExternal.getChannelId();
        innerVersion = BaseUtils.getVersionCode();
    }

    public int getProductId() {
        return productId;
    }

    public void setProductId(int productId) {
        this.productId = productId;
    }

    public int getChannelNo() {
        return channelNo;
    }

    public void setChannelNo(int channelNo) {
        this.channelNo = channelNo;
    }

    public String getUserCode() {
        return userCode;
    }

    public void setUserCode(String userCode) {
        this.userCode = userCode;
    }

    public String getAccessToken() {
        return accessToken;
    }

    public void setAccessToken(String accessToken) {
        this.accessToken = accessToken;
    }

    public String getPlatform() {
        return platform;
    }

    public void setPlatform(String platform) {
        this.platform = platform;
    }

    public int getTimeStamp() {
        return timeStamp;
    }

    public void setTimeStamp(int timeStamp) {
        this.timeStamp = timeStamp;
    }

    public int getInnerVersion() {
        return innerVersion;
    }

    public void setInnerVersion(int innerVersion) {
        this.innerVersion = innerVersion;
    }

    public List<LiDataBean> getLiData() {
        return liData;
    }

    public void setLiData(List<LiDataBean> liData) {
        this.liData = liData;
    }

    public static class LiDataBean {
        private String functionId;
        private int arrVersion;
        private String clientMd5;
        private int channelNo;

        public static LiDataBean newInstance(String libPck, int version, String md5) {
            LiDataBean dataBean = new LiDataBean();
            dataBean.functionId = libPck;
            dataBean.arrVersion = version;
            dataBean.clientMd5 = md5;
            dataBean.channelNo = BaseExternal.getChannelId();
            return dataBean;
        }

        public String getFunctionId() {
            return functionId;
        }

        public void setFunctionId(String functionId) {
            this.functionId = functionId;
        }

        public int getArrVersion() {
            return arrVersion;
        }

        public void setArrVersion(int arrVersion) {
            this.arrVersion = arrVersion;
        }

        public String getClientMd5() {
            return clientMd5;
        }

        public void setClientMd5(String clientMd5) {
            this.clientMd5 = clientMd5;
        }

        public int getChannelNo() {
            return channelNo;
        }

        public void setChannelNo(int channelNo) {
            this.channelNo = channelNo;
        }
    }
}
